<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package charitus
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'charitus' ); ?></a>


	<?php do_action( 'charitus_before_header' ); ?>

	<?php do_action( 'charitus_theme_main_header' ); ?>

	<?php do_action( 'charitus_after_header' ); ?>

	<div id="content" class="site-content <?php echo esc_attr( apply_filters( 'charitus_container_class', 'container' ) ); ?>">
		<?php do_action( 'charitus_before_content' ) ?>
		