<?php

/**
 * Give shortcodes widgets
 */



/**
 * Register widgets
 */

if(!function_exists('register_charitus_give_widgets')){
	function register_charitus_give_widgets() {
	    register_widget( 'charitus_give_donation_list_widget' );
	    register_widget( 'charitus_give_donation_tag_cat_widget' );
	}
}

add_action( 'widgets_init', 'register_charitus_give_widgets' );


/**
 * Give Donation Forms List Widget
 */

if(!class_exists('charitus_give_donation_list_widget')) {
	class charitus_give_donation_list_widget extends WP_Widget {

		/* Widget name and description */
		
		function __construct() {
			parent::__construct(
				'charitus_give_donation_list_widget',
				esc_html__( 'Give Donation Forms',  'charitus' ),
				array( 'description' => esc_html__( 'Charitus Give Donation Forms List',  'charitus' ), )
			);
		}


		/* Front-end display of widget */

		public function widget( $args, $instance ) {

			extract( $args );
			extract( $instance );

			echo $before_widget;

			if ( ! empty( $title ) ) {
				echo $before_title . apply_filters( 'widget_title', $title ). $after_title;
			}

			echo do_shortcode( '[charitus_give_donation_list_widget post="'. $post_number .'" order="'. $order .'" orderby="'. $orderby .'" cause_stats="'. $cause_stats .'" show_image="'. $show_image .'"]' );

			echo $after_widget;
		}


		/* Back-end widget form */

		public function form( $instance ) {
			extract( $instance );
			if( !isset( $post_number ) ){
				$post_number = 5;
			}
			if( !isset( $order ) ){
				$order = 'ASC';
			}
			if( !isset( $orderby ) ){
				$orderby = 'date';
			}
			if( !isset( $cause_stats ) ){
				$cause_stats = 'on';
			}
			if( !isset( $cause_progress_bar ) ){
				$cause_progress_bar = 'on';
			}
			if( !isset( $show_image ) ){
				$show_image = 'on';
			}
			?>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'charitus' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php if( isset( $title ) ) echo esc_attr( $title ); ?>">
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'post_number' ) ); ?>"><?php esc_html_e( 'Number of Forms:', 'charitus' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'post_number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'post_number' ) ); ?>" type="post_number" value="<?php if( isset( $post_number ) ) echo esc_attr( $post_number ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Default show 5 forms.', 'charitus' ); ?></span>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'orderby' ) ); ?>"><?php esc_html_e( 'Forms Orderby:', 'charitus' ); ?></label> 
				<select class="widefat" id="<?php echo $this->get_field_id( 'orderby' ); ?>" name="<?php echo $this->get_field_name( 'orderby' ); ?>">
					<option value="none" <?php selected( $orderby, 'none' ) ?>><?php esc_html_e( 'None', 'charitus' ); ?></option>
					<option value="ID" <?php selected( $orderby, 'ID' ) ?>><?php esc_html_e( 'ID', 'charitus' ); ?></option>
					<option value="author" <?php selected( $orderby, 'author' ) ?>><?php esc_html_e( 'Author', 'charitus' ); ?></option>
					<option value="title" <?php selected( $orderby, 'title' ) ?>><?php esc_html_e( 'Title', 'charitus' ); ?></option>
					<option value="name" <?php selected( $orderby, 'name' ) ?>><?php esc_html_e( 'Name', 'charitus' ); ?></option>
					<option value="date" <?php selected( $orderby, 'date' ) ?>><?php esc_html_e( 'Date', 'charitus' ); ?></option>
					<option value="rand" <?php selected( $orderby, 'rand' ) ?>><?php esc_html_e( 'Rand', 'charitus' ); ?></option>
					<option value="menu_order" <?php selected( $orderby, 'menu_order' ) ?>><?php esc_html_e( 'Menu order', 'charitus' ); ?></option>
				</select>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'order' ) ); ?>"><?php esc_html_e( 'Forms order:', 'charitus' ); ?></label> 
				<select class="widefat" id="<?php echo $this->get_field_id( 'order' ); ?>" name="<?php echo $this->get_field_name( 'order' ); ?>">
					<option value="ASC" <?php selected( $order, 'ASC' ) ?>><?php esc_html_e( 'Ascending', 'charitus' ); ?></option>
					<option value="DESC" <?php selected( $order, 'DESC' ) ?>><?php esc_html_e( 'Descending', 'charitus' ); ?></option>
				</select>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Show Forms Image', 'charitus' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'show_image' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'show_image' ) ); ?>" <?php checked( $show_image, 'on' ) ?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'show_image' ) ); ?>"><?php esc_html_e( 'Yes', 'charitus' ); ?></label>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Show Donation Stats', 'charitus' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'cause_stats' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'cause_stats' ) ); ?>" <?php checked( $cause_stats, 'on' ) ?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'cause_stats' ) ); ?>"><?php esc_html_e( 'Yes', 'charitus' ); ?></label>
			</p>


			<?php 
		}

		/* Sanitize widget form values as they are saved */

		public function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] 				= ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
			$instance['post_number'] 		= ( ! empty( $new_instance['post_number'] ) ) ? strip_tags( $new_instance['post_number'] ) : '';
			$instance['order'] 				= ( ! empty( $new_instance['order'] ) ) ? strip_tags( $new_instance['order'] ) : '';
			$instance['orderby'] 			= ( ! empty( $new_instance['orderby'] ) ) ? strip_tags( $new_instance['orderby'] ) : '';
			$instance['cause_stats'] 		= ( ! empty( $new_instance['cause_stats'] ) ) ? strip_tags( $new_instance['cause_stats'] ) : '';
			$instance['show_image'] 		= ( ! empty( $new_instance['show_image'] ) ) ? strip_tags( $new_instance['show_image'] ) : '';

			return $instance;
		}

	}
}


/**
 * Give Donation tags / categories list widget
 */

if(!class_exists('charitus_give_donation_tag_cat_widget')) {
	class charitus_give_donation_tag_cat_widget extends WP_Widget {

		/* Widget name and description */
		
		function __construct() {
			parent::__construct(
				'charitus_give_donation_tag_cat_widget',
				esc_html__( 'Give Donation tags / categories',  'charitus' ),
				array( 'description' => esc_html__( 'Charitus Give Donation tags / categories list',  'charitus' ), )
			);
		}


		/* Front-end display of widget */

		public function widget( $args, $instance ) {

			extract( $args );
			extract( $instance );

			echo $before_widget;

			if ( ! empty( $title ) ) {
				echo $before_title . apply_filters( 'widget_title', $title ). $after_title;
			}

			echo do_shortcode( '[charitus_give_donation_tag_cat post="'. $post_number .'" hide_empty="'. $hide_empty .'" taxonomy="'. $taxonomy .'"]' );

			echo $after_widget;
		}


		/* Back-end widget form */

		public function form( $instance ) {
			extract( $instance );
			if( !isset( $post_number ) ){
				$post_number = 5;
			}
			if( !isset( $hide_empty ) ){
				$hide_empty = false;
			}
			if( !isset( $taxonomy ) ){
				$taxonomy = 'give_forms_category';
			}
			?>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'charitus' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php if( isset( $title ) ) echo esc_attr( $title ); ?>">
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'post_number' ) ); ?>"><?php esc_html_e( 'Number of Categories / tags:', 'charitus' ); ?></label> 
				<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'post_number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'post_number' ) ); ?>" type="post_number" value="<?php if( isset( $post_number ) ) echo esc_attr( $post_number ); ?>">
				<span class="ep-widget-description"><?php esc_html_e( 'Default show 5 forms.', 'charitus' ); ?></span>
			</p>

			<p>
				<span style="display: block"><?php esc_html_e( 'Hide empty categories', 'charitus' ); ?></span>
				<input class="checkbox" type="checkbox" id="<?php echo esc_attr( $this->get_field_id( 'hide_empty' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'hide_empty' ) ); ?>" <?php if( $hide_empty && $hide_empty == 'on' ) echo 'checked';?>>
				<label for="<?php echo esc_attr( $this->get_field_id( 'hide_empty' ) ); ?>"><?php esc_html_e( 'Yes', 'charitus' ); ?></label>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'taxonomy' ) ); ?>"><?php esc_html_e( 'Taxonomy:', 'charitus' ); ?></label> 
				<select class="widefat" id="<?php echo $this->get_field_id( 'taxonomy' ); ?>" name="<?php echo $this->get_field_name( 'taxonomy' ); ?>">
					<option value="give_forms_category" <?php selected( $taxonomy, 'give_forms_category' ) ?>><?php esc_html_e( 'give_forms_category', 'charitus' ); ?></option>
					<option value="give_forms_tag" <?php selected( $taxonomy, 'give_forms_tag' ) ?>><?php esc_html_e( 'give_forms_tag', 'charitus' ); ?></option>
				</select>
			</p>


			<?php 
		}

		/* Sanitize widget form values as they are saved */

		public function update( $new_instance, $old_instance ) {
			$instance = array();
			$instance['title'] 				= ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
			$instance['post_number'] 		= ( ! empty( $new_instance['post_number'] ) ) ? strip_tags( $new_instance['post_number'] ) : '';
			$instance['hide_empty'] 		= ( ! empty( $new_instance['hide_empty'] ) ) ? strip_tags( $new_instance['hide_empty'] ) : '';
			$instance['taxonomy'] 		= ( ! empty( $new_instance['taxonomy'] ) ) ? strip_tags( $new_instance['taxonomy'] ) : '';

			return $instance;
		}

	}
}